aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorJan Gelety <jgelety@cisco.com>2016-04-11 18:08:13 +0200
committerGerrit Code Review <gerrit@fd.io>2016-04-15 12:10:30 +0000
commitee768ca7451bb49f0a591bedf3360b332d983f64 (patch)
tree54070cdb31abdb9066bc9293a12491df2dbe6099 /bootstrap.sh
parent6d9fe9bb4bd353b1d4fec3b2569bcd743f87fc4a (diff)
Update of bootstrap.sh file.
- updated vpp build version - VIRL image switched to double-ring-nested topology - removed exclusion of 3_NODE_DOUBLE_LINK_TOPO test cases - included test cases with tags: - VM_ENV and 3_NODE_SINGLE_LINK_TOPO - VM_ENV and 3_NODE_DOUBLE_LINK_TOPO - added missing tags to TC VPP reports interfaces in Bridge Domain test suite Change-Id: Ia6a7a54ef9ad6245835b2762c303935fe39f4079 Signed-off-by: Jan Gelety <jgelety@cisco.com>
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh18
1 files changed, 9 insertions, 9 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 99458eb7fb..17d9e17e99 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -70,12 +70,12 @@ if [ "${#}" -ne "0" ]; then
echo ${arr[0]}
else
rm -f *.deb
- wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp/1.0.0-229~gb1df169_amd64/vpp-1.0.0-229~gb1df169_amd64.deb" || exit
- wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dbg/1.0.0-229~gb1df169_amd64/vpp-dbg-1.0.0-229~gb1df169_amd64.deb" || exit
- wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dev/1.0.0-229~gb1df169_amd64/vpp-dev-1.0.0-229~gb1df169_amd64.deb" || exit
- wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dpdk-dev/1.0.0-229~gb1df169_amd64/vpp-dpdk-dev-1.0.0-229~gb1df169_amd64.deb" || exit
- wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dpdk-dkms/1.0.0-229~gb1df169_amd64/vpp-dpdk-dkms-1.0.0-229~gb1df169_amd64.deb" || exit
- wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-lib/1.0.0-229~gb1df169_amd64/vpp-lib-1.0.0-229~gb1df169_amd64.deb" || exit
+ wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp/1.0.0-304~gd530445_amd64/vpp-1.0.0-304~gd530445_amd64.deb" || exit
+ wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dbg/1.0.0-304~gd530445_amd64/vpp-dbg-1.0.0-304~gd530445_amd64.deb" || exit
+ wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dev/1.0.0-304~gd530445_amd64/vpp-dev-1.0.0-304~gd530445_amd64.deb" || exit
+ wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dpdk-dev/1.0.0-304~gd530445_amd64/vpp-dpdk-dev-1.0.0-304~gd530445_amd64.deb" || exit
+ wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-dpdk-dkms/1.0.0-304~gd530445_amd64/vpp-dpdk-dkms-1.0.0-304~gd530445_amd64.deb" || exit
+ wget -q "https://nexus.fd.io/service/local/repositories/fd.io.dev/content/io/fd/vpp/vpp-lib/1.0.0-304~gd530445_amd64/vpp-lib-1.0.0-304~gd530445_amd64.deb" || exit
fi
VPP_DEBS=(*.deb)
@@ -112,7 +112,7 @@ function stop_virl_simulation {
VIRL_SID=$(ssh -i priv_key -o StrictHostKeyChecking=no \
${VIRL_USERNAME}@${VIRL_SERVER} \
- "/home/jenkins-in/testcase-infra/bin/start-testcase -c simple-ring ${VPP_DEBS_FULL[@]}")
+ "/home/jenkins-in/testcase-infra/bin/start-testcase -c double-ring-nested ${VPP_DEBS_FULL[@]}")
retval=$?
if [ "$?" -ne "0" ]; then
echo "VIRL simulation start failed"
@@ -150,8 +150,8 @@ pip install -r requirements.txt
PYTHONPATH=`pwd` pybot -L TRACE \
-v TOPOLOGY_PATH:topologies/enabled/topology.yaml \
- --exclude 3_node_double_link_topoNOT3_node_single_link_topo \
- --include VM_ENV \
+ --include vm_envAND3_node_single_link_topo \
+ --include vm_envAND3_node_double_link_topo \
--exclude PERFTEST \
--noncritical EXPECTED_FAILING \
tests/